You are not logged in.

#1 2022-11-28 14:11:15

urosg
Member
Registered: 2022-11-28
Posts: 2

Offline install package that conflicts with existing package ?

Hi all!

I looked for a solution but was unable to find one.

I would like to prepare an update script for some of my old installs but I can't get it fully automated.

I need to update to util-linux-lib but current installation has old libutil-linux package installed and I have to manually confirm removing the old package.

I update via "pacman -U ...zst" command; I tried with --noconfirm  and --needed but still the same.

Is there any option with which I could confirm this replacement?

Offline

#2 2022-11-28 15:44:58

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 21,595

Re: Offline install package that conflicts with existing package ?

yes | pacman -U ...

Offline

#3 2022-11-30 07:33:58

urosg
Member
Registered: 2022-11-28
Posts: 2

Re: Offline install package that conflicts with existing package ?

Thank you, hoped for a switch option in pacman, but this should also do the job.

Offline

#4 2022-11-30 10:12:40

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 21,595

Re: Offline install package that conflicts with existing package ?

To make the switch "proper" you'd define the provides/replaces constructs in the PKGBUILDs correctly (so that pacmans default offer will turn to Y) but i'd expect this to be more of a hassle assuming you are somewhat controlled in how you are doing the replacement/install

Offline

#5 2022-11-30 10:23:14

Awebb
Member
Registered: 2010-05-06
Posts: 6,282

Re: Offline install package that conflicts with existing package ?

Please note that "yes" will not do the job, if you're not on an English locale. "yes j" for German, for example.

Online

Board footer

Powered by FluxBB